Bug 184123 - [69cat] NullPointerException at javax.swing.ImageIcon.<init>
[69cat] NullPointerException at javax.swing.ImageIcon.<init>
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Ant Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@projects
EXCEPTIONS_REPORT
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 10:16 UTC by abajja
Modified: 2010-04-17 08:07 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.42 KB, text/plain)
2010-04-14 10:16 UTC, abajja
Details

Note You need to log in before you can comment on or make changes to this bug.
Description abajja 2010-04-14 10:16:11 UTC
Build: NetBeans IDE Dev (Build 201004140201)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows XP

User Comments:
GUEST: Error appeared while opening "Open Project" dialog

abajja: after the first failed attempt to launch the ide, I restarted and got this exception.




Stacktrace: 
java.lang.NullPointerException
   at javax.swing.ImageIcon.<init>(ImageIcon.java:190)
   at org.openide.util.ImageUtilities.image2Icon(ImageUtilities.java:204)
   at org.netbeans.modules.project.ant.AntBasedGenericType.getIcon(AntBasedGenericType.java:91)
   at org.netbeans.modules.project.ant.AntBasedProjectFactorySingleton.isProject2(AntBasedProjectFactorySingleton.java:200)
   at org.netbeans.api.project.ProjectManager.checkForProject(ProjectManager.java:503)
   at org.netbeans.api.project.ProjectManager.access$600(ProjectManager.java:81)
Comment 1 abajja 2010-04-14 10:16:18 UTC
Created attachment 97297 [details]
stacktrace
Comment 2 Jesse Glick 2010-04-14 16:07:55 UTC
Probably an issue with the ergonomics-generated placeholder project type.
Comment 3 Jaroslav Tulach 2010-04-16 20:49:44 UTC
core-main#ff26f9ece32a
Comment 4 Quality Engineering 2010-04-17 08:07:44 UTC
Integrated into 'main-golden', will be available in build *201004170515* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ff26f9ece32a
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #184123: NPE by using loadImageIcon directly. It checks for null inside


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo